using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;
namespace KuGo.Web.Admin
{
        public partial class CategoriesRead : Page
        {
            
            protected void Page_Load(object sender, EventArgs e){
            if (!Page.IsPostBack){
              if (Request.Params["id"] != null && Request.Params["id"].Trim() != ""){
                string strId = Request.Params["id"];
                
                int id = Convert.ToInt32(strId);
                                   
                ShowInfo(id);
              }
            }
        }

        /// <summary>
        /// 显示一条 数据
        /// </summary>
        /// <param name="CategoryID">主键</param>
        private void ShowInfo(int CategoryID){      
            KuGo.Model.Categories model = new KuGo.BLL.CategoriesBLL().GetModel(CategoryID);
            if(model!=null){
              this.CategoryIDLabel.Text = model.CategoryID.ToString();               
              this.CategoryNameLabel.Text = model.CategoryName.ToString();               
              this.DescriptionLabel.Text = model.Description.ToString();               
              this.PictureLabel.Text = model.Picture.ToString();               
              
            }
        }
    }
  }